Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## jpicedt.graphic.io.parser
Class JPICXmlHandler

    java.lang.Object
      org.xml.sax.helpers.DefaultHandler
          jpicedt.graphic.io.parser.JPICXmlHandler

All Implemented Interfaces:
  ContentHandler, DTDHandler, EntityResolver, ErrorHandler, PicObjectConstants

public class JPICXmlHandler
extends DefaultHandler
implements PicObjectConstants

Content-handler and error-handler for the JPICParser class.

Since:
  jPicEdt 1.3.3
Version:
  $Id: JPICXmlHandler.java,v 1.21.2.2 2007/09/02 11:56:20 reynal Exp $
Author:
  Sylvain Reynal

Field Summary

Fields inherited from interface jpicedt.graphic.model.PicObjectConstants
`ARROW_GLOBAL_SCALE_LENGTH, ARROW_GLOBAL_SCALE_WIDTH, ARROW_INSET_SCALE, ARROW_LENGTH_SCALE, ARROW_WIDTH_LINEWIDTH_SCALE, ARROW_WIDTH_MINIMUM_MM, BRACKET_LENGTH_SCALE, CROSSHATCH, CROSSHATCH_FILLED, DASH_OPAQUE, DASH_TRANSPARENT, DASH1, DASH2, DASH3, DASHED, DIMEN, DOT_SEP, DOT_SEP1, DOT_SEP2, DOT_SEP3, DOTTED, DOUBLE_COLOR, DOUBLE_LINE, DOUBLE_SEP, FILL_COLOR, FILL_STYLE, HATCH_ANGLE, HATCH_COLOR, HATCH_SEP, HATCH_WIDTH, HLINES, HLINES_FILLED, INNER, LEFT_ARROW, LINE_COLOR, LINE_STYLE, LINE_WIDTH, MIDDLE, NONE, OUTER, OVER_STRIKE, OVER_STRIKE_COLOR, OVER_STRIKE_WIDTH, POLYDOTS_ANGLE, POLYDOTS_CIRCLE, POLYDOTS_DISK, POLYDOTS_PENTAGON, POLYDOTS_PENTAGON_FILLED, POLYDOTS_PLUS, POLYDOTS_SCALE_H, POLYDOTS_SCALE_V, POLYDOTS_SIZE_LINEWIDTH_SCALE, POLYDOTS_SIZE_MINIMUM_MM, POLYDOTS_SQUARE, POLYDOTS_SQUARE_FILLED, POLYDOTS_STYLE, POLYDOTS_SUPERIMPOSE, POLYDOTS_TRIANGLE, POLYDOTS_TRIANGLE_FILLED, PS_POINT, PST_CUSTOM, RBRACKET_LENGTH_SCALE, RIGHT_ARROW, SHADOW, SHADOW_ANGLE, SHADOW_COLOR, SHADOW_SIZE, SOLID, TBAR_WIDTH_LINEWIDTH_SCALE, TBAR_WIDTH_MINIMUM_MM, TEXT_BOX_CIRCLE, TEXT_BOX_NO_FRAME, TEXT_BOX_OVAL, TEXT_BOX_RECTANGLE, TEXT_FRAME, TEXT_HALIGN_CENTER, TEXT_HALIGN_LEFT, TEXT_HALIGN_RIGHT, TEXT_HOR_ALIGN, TEXT_ROTATION, TEXT_VALIGN_BASELINE, TEXT_VALIGN_BOTTOM, TEXT_VALIGN_CENTER, TEXT_VALIGN_TOP, TEXT_VERT_ALIGN, VLINES, VLINES_FILLED`

Constructor Summary
`JPICXmlHandler()`

Method Summary
`void` | `characters(char[] ch, int start, int length)`
`void` | `endDocument()`
`void` | `endElement(String uri, String localName, String qName)`
`void` | `error(SAXParseException e)` Receive notification of a recoverable parser error.
`void` | `fatalError(SAXParseException e)` Report a fatal XML parsing error.
`Drawing` | `fetchParsedDrawing()` Return a new instance of the Drawing class populated from JPIC-XML tags
`void` | `setDocumentLocator(Locator locator)`
`void` | `startDocument()`
`void` | `startElement(String uri, String localName, String qName, Attributes attributes)` Receive notification of the start of an element.
`void` | `warning(SAXParseException e)`

Methods inherited from class org.xml.sax.helpers.DefaultHandler
`endPrefixMapping, ignorableWhitespace, notationDecl, processingInstruction, resolveEntity, skippedEntity, startPrefixMapping, unparsedEntityDecl`

Methods inherited from class java.lang.Object
`clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

Constructor Detail

### JPICXmlHandler

    public JPICXmlHandler()

Method Detail

### fetchParsedDrawing

    public Drawing fetchParsedDrawing()

  Return a new instance of the Drawing class populated from JPIC-XML tags

### setDocumentLocator

    public void setDocumentLocator(Locator locator)

  Specified by:
    `setDocumentLocator` in interface `ContentHandler`

### startDocument

    public void startDocument()

  Specified by:
    `startDocument` in interface `ContentHandler`

### endDocument

    public void endDocument()

  Specified by:
    `endDocument` in interface `ContentHandler`

### startElement

    public void startElement(String uri,
                             String localName,
                             String qName,
                             Attributes attributes)
                      throws SAXException

  Receive notification of the start of an element. Since we don't make use of any XML-namespace capability, only qName and attributes matter for out purpose.

  Specified by:
    `startElement` in interface `ContentHandler`
  Parameters:
    `qName` - the qName of the processed tag, e.g. "rect", "g",...
  Throws:
    `SAXException`

### characters

    public void characters(char[] ch,
                           int start,
                           int length)

  Specified by:
    `characters` in interface `ContentHandler`

### endElement

    public void endElement(String uri,
                           String localName,
                           String qName)
                    throws SAXException

  Specified by:
    `endElement` in interface `ContentHandler`
  Throws:
    `SAXException`

### warning

    public void warning(SAXParseException e)
                 throws SAXException

  Specified by:
    `warning` in interface `ErrorHandler`
  Throws:
    `SAXException`

### error

    public void error(SAXParseException e)
               throws SAXException

  Receive notification of a recoverable parser error.

  Specified by:
    `error` in interface `ErrorHandler`
  Throws:
    `SAXException`

### fatalError

    public void fatalError(SAXParseException e)
                    throws SAXException

  Report a fatal XML parsing error.

  Specified by:
    `fatalError` in interface `ErrorHandler`
  Throws:
    `SAXException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
| http://www.jpicedt.org
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

Submit a bug : syd@jpicedt.org